? src/plugins/sun/ao_sun.c
? src/plugins/sun/Makefile.am
Index: configure.in
===================================================================
RCS file: /usr/local/cvsroot/ao/configure.in,v
retrieving revision 1.18
diff -u -r1.18 configure.in
--- configure.in	2001/02/28 03:13:38	1.18
+++ configure.in	2001/05/17 13:59:11
@@ -141,6 +141,11 @@
 fi
 AC_SUBST(ALSA_LIBS)
 
+dnl Check for Sun audio
+
+AC_CHECK_HEADERS(sys/audioio.h)
+AM_CONDITIONAL(HAVE_SUN_AUDIO,test "${ac_cv_header_sys_audioio_h}" = yes)
+
 dnl Check for aRts
 
 AC_PATH_PROG(ARTSC_CONFIG, artsc-config)
@@ -168,4 +173,4 @@
 
 CFLAGS="$CFLAGS -DAO_PLUGIN_PATH=\\\"$plugindir\\\""
 
-AC_OUTPUT(Makefile src/Makefile doc/Makefile include/Makefile include/ao/Makefile include/ao/os_types.h src/plugins/Makefile src/plugins/esd/Makefile src/plugins/oss/Makefile src/plugins/alsa/Makefile src/plugins/arts/Makefile debian/Makefile)
+AC_OUTPUT(Makefile src/Makefile doc/Makefile include/Makefile include/ao/Makefile include/ao/os_types.h src/plugins/Makefile src/plugins/esd/Makefile src/plugins/oss/Makefile src/plugins/alsa/Makefile src/plugins/sun/Makefile src/plugins/arts/Makefile debian/Makefile)
Index: src/plugins/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/ao/src/plugins/Makefile.am,v
retrieving revision 1.2
diff -u -r1.2 Makefile.am
--- src/plugins/Makefile.am	2000/12/30 05:03:25	1.2
+++ src/plugins/Makefile.am	2001/05/17 13:59:12
@@ -1,4 +1,4 @@
 ## Process this file with automake to produce Makefile.in
 
 AUTOMAKE_OPTIONS = foreign
-SUBDIRS = oss esd alsa arts # solaris irix
+SUBDIRS = oss sun esd alsa arts # irix
